function Dfe16000_ConsistenciasAfNf_Service(ZHPromise, Dfe16000_ConsistenciasAfNf_Repository) {

	this.generateReport = function(row) {
		return Dfe16000_ConsistenciasAfNf_Repository.generateReport(row);
	};

	this.getMainQueryData = function(row) {
		var params = {
			P_DTINICIAL: row.P_DTINICIAL,
			P_DTFINAL: row.P_DTFINAL,
			L_CDFILIRECE: row.L_CDFILIRECE
		};
		return Dfe16000_ConsistenciasAfNf_Repository.getMainQueryData(params);
	};

	this.checkDataExistance = function(row) {
		var deferred = ZHPromise.defer();
		var params = {
			P_DTINICIAL: row.P_DTINICIAL,
			P_DTFINAL: row.P_DTFINAL,
			L_CDFILIRECE: row.L_CDFILIRECE
		};
		Dfe16000_ConsistenciasAfNf_Repository.getMainQueryData(params).then((function(data) {
			var thereIsData = ((!!data.dataset) && (data.dataset.mainQueryData.length > 0)) ? true : false;
			deferred.resolve(thereIsData);
		}), function(error) {
			deferred.reject(error);
		});
		return deferred;
	};

}

Configuration(function(ContextRegister) {
	ContextRegister.register('Dfe16000_ConsistenciasAfNf_Service', Dfe16000_ConsistenciasAfNf_Service);
});
